package com.qmth.distributed.print.business.service;

import com.qmth.distributed.print.business.bean.dto.open.PaperConfig;
import com.qmth.distributed.print.business.bean.dto.open.PaperDimension;
import com.qmth.distributed.print.business.bean.dto.open.PaperEvaluation;
import com.qmth.distributed.print.business.bean.dto.open.PaperStructure;

import java.util.List;

public interface OpenApiService {

    PaperConfig getPaperConfig(String thirdExamId, String gradeCourseCode);

    PaperDimension getPaperDimension(String thirdExamId, String gradeCourseCode);

    PaperStructure getPaperStructure(String thirdExamId, String gradeCourseCode);

    List<PaperEvaluation> getPaperEvaluation(String thirdExamId, String gradeCourseCode);
}
